Index: c/src/lib/libbsp/sparc/erc32/erc32sonic/erc32sonic.c
===================================================================
--- c/src/lib/libbsp/sparc/erc32/erc32sonic/erc32sonic.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/erc32/erc32sonic/erc32sonic.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,4 +1,8 @@
-/*
- *  THARSYS VME SPARC RT board SONIC Configuration Information
+/**
+ * @file
+ *
+ * @ingroup sparc_erc32
+ *
+ * @brief THARSYS VME SPARC RT board SONIC Configuration Information
  *
  *  References:
@@ -6,4 +10,13 @@
  *  1) SVME/DMV-171 Single Board Computer Documentation Package, #805905,
  *     DY 4 Systems Inc., Kanata, Ontario, September, 1996.
+ */
+
+/*
+ *  COPYRIGHT (c) 2000.
+ *  European Space Agency.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/erc32/gnatsupp/gnatsupp.c
===================================================================
--- c/src/lib/libbsp/sparc/erc32/gnatsupp/gnatsupp.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/erc32/gnatsupp/gnatsupp.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,6 +1,17 @@
+/**
+ * @file
+ *
+ * @ingroup sparc_erc32
+ *
+ * @brief Support for gnat/rtems interrupts and exception handling
+ */
+
 /*
+ * COPYRIGHT (c) 1999.
+ * European Space Agency.
  *
- * Support for gnat/rtems interrupts and exception handling.
- * Jiri Gaisler, ESA/ESTEC, 17-02-1999.
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/erc32/include/bsp/irq.h
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/bsp/irq.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/erc32/include/bsp/irq.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -3,9 +3,11 @@
  * @ingroup sparc_erc32
  * @brief ERC32 generic shared IRQ setup
+ *
+ * Based on libbsp/shared/include/irq.h.
  */
 
-/* ERC32 generic shared IRQ setup
- *
- * Based on libbsp/shared/include/irq.h.
+/*
+ * Copyright (c) 2012.
+ * Aeroflex Gaisler AB.
  *
  * The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/erc32/include/tm27.h
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/tm27.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/erc32/include/tm27.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -6,5 +6,6 @@
 
 /*
- *  tm27.h
+ *  COPYRIGHT (c) 2006.
+ *  Aeroflex Gaisler AB.
  *
  *  The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/erc32/startup/boardinit.S
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/boardinit.S	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/erc32/startup/boardinit.S	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,6 +1,17 @@
+/**
+ * @file
+ *
+ * @ingroup sparc_erc32
+ *
+ * @brief Initialise various ERC32 registers
+ */
+
 /*
- *  boardinit.s
+ *  COPYRIGHT (c) 2000.
+ *  European Space Agency.
  *
- *  Initialise various ERC32 registers
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/leon2/cchip/cchip.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/cchip/cchip.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/cchip/cchip.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,10 +1,13 @@
 /** 
  * @file
+ *
  * @ingroup cchip
- * @brief Companion Chip PCI board driver
+ *
+ * @brief GR-701 (Companion Chip) PCI board driver
  */
 
 /*
- *  GR-701 (Companion Chip) PCI board driver
+ *  COPYRIGHT (c) 2007.
+ *  Aeroflex Gaisler AB.
  *
  *  The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon2/gnatsupp/gnatsupp.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/gnatsupp/gnatsupp.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/gnatsupp/gnatsupp.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,12 +1,18 @@
 /**
  * @file
+ *
  * @ingroup sparc_leon2
+ *
  * @brief Support for gnat/rtems iterrupts and exception handling
  */
 
 /*
+ * COPYRIGHT (c) 1999.
+ * European Space Agency.
  *
- * Support for gnat/rtems interrupts and exception handling.
- * Jiri Gaisler, ESA/ESTEC, 17-02-1999.
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ *
  */
 
Index: c/src/lib/libbsp/sparc/leon2/include/bsp/irq.h
===================================================================
--- c/src/lib/libbsp/sparc/leon2/include/bsp/irq.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/include/bsp/irq.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -3,9 +3,11 @@
  * @ingroup sparc_leon2
  * @brief Interrupts definitions
+ *
+ * Based on libbsp/shared/include/irq.h.
  */
 
-/* LEON2 generic shared IRQ setup
- *
- * Based on libbsp/shared/include/irq.h.
+/*
+ * Copyright (c) 2012.
+ * Aeroflex Gaisler AB.
  *
  * The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon2/include/cchip.h
===================================================================
--- c/src/lib/libbsp/sparc/leon2/include/cchip.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/include/cchip.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,7 +1,20 @@
 /**
- * @file
  * @defgroup cchip Companion Chip handler
  * @ingroup sparc_leon2
+ *
+ * @file
+ *
+ * @ingroup cchip
+ *
  * @brief Register all drivers supported by the Companion Chip board
+ */
+
+/*
+ *  COPYRIGHT (c) 2007.
+ *  Aeroflex Gaisler AB.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/leon2/include/leon.h
===================================================================
--- c/src/lib/libbsp/sparc/leon2/include/leon.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/include/leon.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,10 +1,9 @@
 /**
- * @file
  * @defgroup leon1 Leon-1 Handler
  * @ingroup sparc_leon2
+ *
+ * @file
+ * @ingroup leon1
  * @brief Handlers Leon-1
- */
-
-/*  erc32.h
  *
  *  This include file contains information pertaining to the LEON-1.
@@ -23,4 +22,7 @@
  *           + Interrupt Control
  *
+ */
+
+/*
  *  COPYRIGHT (c) 1989-1998.
  *  On-Line Applications Research Corporation (OAR).
Index: c/src/lib/libbsp/sparc/leon2/include/rasta.h
===================================================================
--- c/src/lib/libbsp/sparc/leon2/include/rasta.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/include/rasta.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,7 +1,19 @@
 /**
- * @file
  * @defgroup leon2_rasta Rasta Handler
  * @ingroup sparc_leon2
+ *
+ * @file
+ * @ingroup leon2_rasta
  * @brief Handles Rasta
+ */
+
+/*
+ * COPYRIGHT (c) 2007.
+ * Aeroflex Gaisler AB.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ *
  */
 
Index: c/src/lib/libbsp/sparc/leon2/include/tm27.h
===================================================================
--- c/src/lib/libbsp/sparc/leon2/include/tm27.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/include/tm27.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -6,5 +6,6 @@
 
 /*
- *  tm27.h
+ *  COPYRIGHT (c) 2006.
+ *  Aeroflex Gaisler AB.
  *
  *  The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon2/leon_open_eth/leon_open_eth.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/leon_open_eth/leon_open_eth.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/leon_open_eth/leon_open_eth.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -6,7 +6,11 @@
 
 /*
- *  LEON2 Opencores Ethernet MAC Configuration Information
+ * Copyright (c) 2004.
+ * Aeroflex Gaisler AB.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
-
 
 #include <bsp.h>
Index: c/src/lib/libbsp/sparc/leon2/leon_smc91111/leon_smc91111.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/leon_smc91111/leon_smc91111.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/leon_smc91111/leon_smc91111.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -3,4 +3,13 @@
  * @ingroup sparc_leon2
  * @brief SMC91111 Driver
+ */
+
+/*
+ * Copyright (c) 2006.
+ * Aeroflex Gaisler AB.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/leon2/rasta/rasta.c
===================================================================
--- c/src/lib/libbsp/sparc/leon2/rasta/rasta.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon2/rasta/rasta.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -7,4 +7,7 @@
 /*
  *  GR-RASTA-IO PCI board driver
+ *
+ *  COPYRIGHT (c) 2007.
+ *  Aeroflex Gaisler AB.
  *
  *  The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon3/gnatsupp/gnatsupp.c
===================================================================
--- c/src/lib/libbsp/sparc/leon3/gnatsupp/gnatsupp.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon3/gnatsupp/gnatsupp.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,10 +1,18 @@
 /**
  * @file
+ *
  * @ingroup sparc_leon3
+ *
  * @brief Support for gnat/rtems interrupts and exception handling
  */
 
 /*
- * Jiri Gaisler, ESA/ESTEC, 17-02-1999.
+ * COPYRIGHT (c) 1999.
+ * European Space Agency.
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ *
  */
 
Index: c/src/lib/libbsp/sparc/leon3/include/bsp/irq.h
===================================================================
--- c/src/lib/libbsp/sparc/leon3/include/bsp/irq.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon3/include/bsp/irq.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,5 +1,13 @@
-/* LEON3 generic shared IRQ setup
+/**
+ * @file
+ * @ingroup sparc_leon3
+ * @brief LEON3 generic shared IRQ setup
  *
  * Based on libbsp/shared/include/irq.h.
+ */
+
+/*
+ * Copyright (c) 2012.
+ * Aeroflex Gaisler AB.
  *
  * The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon3/include/tm27.h
===================================================================
--- c/src/lib/libbsp/sparc/leon3/include/tm27.h	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon3/include/tm27.h	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -6,5 +6,6 @@
 
 /*
- *  tm27.h
+ *  COPYRIGHT (c) 2006.
+ *  Aeroflex Gaisler AB.
  *
  *  The license and distribution terms for this file may be
Index: c/src/lib/libbsp/sparc/leon3/leon_open_eth/leon_open_eth.c
===================================================================
--- c/src/lib/libbsp/sparc/leon3/leon_open_eth/leon_open_eth.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon3/leon_open_eth/leon_open_eth.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -5,10 +5,11 @@
  */
 
-/*  COPYRIGHT (c) 2004.
- *  Gaisler Research
+/*
+ * Copyright (c) 2004.
+ * Aeroflex Gaisler AB.
  *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/sparc/leon3/leon_smc91111/leon_smc91111.c
===================================================================
--- c/src/lib/libbsp/sparc/leon3/leon_smc91111/leon_smc91111.c	(revision 363b1f7f021c71f3e5d81a045a43f337e8bb6734)
+++ c/src/lib/libbsp/sparc/leon3/leon_smc91111/leon_smc91111.c	(revision c903fc28a9c985c7b85a8c1f948ef1be6665af98)
@@ -1,7 +1,15 @@
-/*  LEON3 BSP SMC91111 registration and low-level initialization
+/**
+ * @file
+ * @ingroup sparc_leon3
+ * @brief LEON3 BSP SMC91111 registration and low-level initialization
+ */
+
+/*
+ * Copyright (c) 2006.
+ * Aeroflex Gaisler AB.
  *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
  */
 
